diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/bittorrent/bTClients.ml ./src/networks/bittorrent/bTClients.ml
--- ./src/networks/bittorrent/bTClients.ml	2005-11-28 15:30:42.000000000 +0100
+++ ./src/networks/bittorrent/bTClients.ml	2005-12-13 13:49:47.000000000 +0100
@@ -261,7 +261,6 @@
         try
 (*          List.iter (fun r -> Int64Swarmer.free_range r) c.client_ranges; *)
           set_client_disconnected c reason;
-          let file = c.client_file in
           (try if c.client_good then count_seen c with _ -> ());
           (* this is not useful already done in the match
           (try close sock reason with _ -> ());   *)
@@ -572,7 +571,6 @@
   if c.client_new_chunks <> [] then begin
     let chunks = c.client_new_chunks in
     c.client_new_chunks <- [];
-    let file = c.client_file in
     List.iter (fun n -> Bitv.set bitmap n true) chunks;
     Int64Swarmer.update_uploader up (AvailableBitv bitmap);
   end
@@ -1407,7 +1405,7 @@
                                     (Ip.to_string !peer_ip) !port br.blocking_description;
                                 false)
                         then
-                          let c = new_client file !peer_id (!peer_ip,!port)
+                          let _ = new_client file !peer_id (!peer_ip,!port)
                           in
                           if !verbose_sources > 1 then lprintf_nl () "Received %s:%d" (Ip.to_string !peer_ip)
                           !port;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/bittorrent/bTComplexOptions.ml ./src/networks/bittorrent/bTComplexOptions.ml
--- ./src/networks/bittorrent/bTComplexOptions.ml	2005-11-07 21:11:42.000000000 +0100
+++ ./src/networks/bittorrent/bTComplexOptions.ml	2005-12-13 13:49:47.000000000 +0100
@@ -229,7 +229,6 @@
 
 let file_to_value file =
   try
-    let sources = Hashtbl2.to_list file.file_clients in
     let assocs =
       [
         "file_temp", string_to_value (Unix32.filename (file_fd file));
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/bittorrent/bTInteractive.ml ./src/networks/bittorrent/bTInteractive.ml
--- ./src/networks/bittorrent/bTInteractive.ml	2005-12-06 20:34:05.000000000 +0100
+++ ./src/networks/bittorrent/bTInteractive.ml	2005-12-13 13:49:47.000000000 +0100
@@ -690,7 +690,6 @@
 let op_client_info c =
   let module P = GuiTypes in
   let (ip,port) = c.client_host in
-  let id = c.client_uid in
   {
     P.client_network = network.network_num;
     P.client_kind = Known_location (ip,port);
@@ -731,7 +730,6 @@
   let info = file_info file in
   let buf = o.conn_buf in
   let cc = as_client c in
-  let cinfo = client_info cc in
   client_print cc o;
   Printf.bprintf buf (_b "\n%18sDown  : %-10s                  Uploaded: %-10s  Ratio: %s%1.1f (%s)\n") ""
     (Int64.to_string c.client_downloaded)
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/bittorrent/bTProtocol.ml ./src/networks/bittorrent/bTProtocol.ml
--- ./src/networks/bittorrent/bTProtocol.ml	2005-11-07 21:11:42.000000000 +0100
+++ ./src/networks/bittorrent/bTProtocol.ml	2005-12-13 13:49:47.000000000 +0100
@@ -534,7 +534,6 @@
                  peer_id is not fetched here because
                  it might be late or not present
                  *)
-              let proto = String.sub b.buf (b.pos+1) slen in
               let file_id = Sha1.direct_of_string
                 (String.sub b.buf (b.pos+9+slen) 20) in
               let proto,pos = get_string8 b.buf b.pos in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/bittorrent/bTTorrent.ml ./src/networks/bittorrent/bTTorrent.ml
--- ./src/networks/bittorrent/bTTorrent.ml	2005-08-05 00:00:23.000000000 +0200
+++ ./src/networks/bittorrent/bTTorrent.ml	2005-12-13 13:49:47.000000000 +0100
@@ -79,7 +79,6 @@
   let file_modified_by = ref "" in
   let file_encoding = ref "" in
   let file_ed2k_hash = ref "" in
-  let file_nodes = ref "" in
   let file_is_private = ref zero in
   let file_aps = ref (List []) in
   let file_dht_backup_enable = ref zero in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/bittorrent/bTTracker.ml ./src/networks/bittorrent/bTTracker.ml
--- ./src/networks/bittorrent/bTTracker.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/bittorrent/bTTracker.ml	2005-12-13 13:49:47.000000000 +0100
@@ -179,7 +179,7 @@
           failwith "[BT] Too many tracked files"
   in
 
-  let peer =
+  let _ =
     try
       let peer =
         Hashtbl.find tracker.tracker_table peer_id
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyClient.ml ./src/networks/donkey/donkeyClient.ml
--- ./src/networks/donkey/donkeyClient.ml	2005-12-05 19:37:34.000000000 +0100
+++ ./src/networks/donkey/donkeyClient.ml	2005-12-13 13:49:47.000000000 +0100
@@ -444,8 +444,6 @@
   
 let new_chunk up begin_pos end_pos =
   if begin_pos <> end_pos then
-    let len_requested = Int64.to_int (end_pos -- begin_pos) in
-    let len = Int64.to_int (end_pos -- begin_pos) in
     let pair = (begin_pos, end_pos) in
     (match up.up_chunks with
         [] ->
@@ -1367,8 +1365,6 @@
         
 with _ -> *)
       
-      let cc = as_client c in
-
 (* If the client is in the nolimit_ips list, he doesn't need a slot, so put
 it immediatly in the upload queue... but what will happen in the queue
 since the client upload should not be taken into account ! 
@@ -1645,7 +1641,6 @@
   
   | M.QueryFileReq t ->
       let md4 = t.M.QueryFile.md4 in
-      let emule_extension = t.M.QueryFile.emule_extension in
       c.client_requests_received <- c.client_requests_received + 1;
       
       if  !CommonUploads.has_upload = 0 && 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyComplexOptions.ml ./src/networks/donkey/donkeyComplexOptions.ml
--- ./src/networks/donkey/donkeyComplexOptions.ml	2005-11-07 21:11:42.000000000 +0100
+++ ./src/networks/donkey/donkeyComplexOptions.ml	2005-12-13 13:49:47.000000000 +0100
@@ -109,9 +109,6 @@
 
 let value_to_client is_friend assocs = 
   let get_value name conv = conv (List.assoc name assocs) in
-  let get_value_nil name conv = 
-    try conv (List.assoc name assocs) with _ -> []
-  in
   let (ip,port) = 
     try
       get_value "client_addr" (fun v ->
@@ -133,7 +130,7 @@
         Indirect_location(name, md4) *)
   in
   
-  let last_conn = 
+  let _ = 
     try
       let last_conn =
         (min (get_value "client_age" value_to_int) 
@@ -204,9 +201,6 @@
 
 let value_to_server assocs = 
   let get_value name conv = conv (List.assoc name assocs) in
-  let get_value_nil name conv = 
-    try conv (List.assoc name assocs) with _ -> []
-  in
   let ip, port = get_value "server_addr" (fun v ->
         match v with
           List [ip;port] | SmallList [ip;port] ->
@@ -436,11 +430,6 @@
     let value_to_shinfo v =
       match v with
         Options.Module assocs ->
-          let get_value name conv = conv (List.assoc name assocs) in
-          let get_value_nil name conv = 
-            try conv (List.assoc name assocs) with _ -> []
-          in
-          
           let sh_md4s = try
               value_to_array (fun v ->
                   Md4.of_string (value_to_string v)) (List.assoc "md4s" assocs)
@@ -481,10 +470,6 @@
     let value_to_stat v =
       match v with
         Options.Module assocs ->
-          let get_value name conv = conv (List.assoc name assocs) in
-          let get_value_nil name conv = 
-            try conv (List.assoc name assocs) with _ -> []
-          in
           { 
             brand_seen = value_to_int (List.assoc "seen" assocs);
             brand_banned = value_to_int (List.assoc "banned" assocs);
@@ -513,10 +498,6 @@
     let value_to_mod_stat v =
       match v with
         Options.Module assocs ->
-          let get_value name conv = conv (List.assoc name assocs) in
-          let get_value_nil name conv = 
-            try conv (List.assoc name assocs) with _ -> []
-          in
           { 
             brand_seen = value_to_int (List.assoc "mseen" assocs);
             brand_banned = value_to_int (List.assoc "mbanned" assocs);
@@ -617,12 +598,12 @@
     try
       ignore (DonkeyGlobals.find_server ip port)
     with _ ->
-        let s = DonkeyGlobals.new_server ip port !!initial_score in
+        let _ = DonkeyGlobals.new_server ip port !!initial_score in
         DonkeyGlobals.servers_ini_changed := true
         
 let remove_server ip port =
   try
-    let s = DonkeyGlobals.find_server ip port in
+    let _ = DonkeyGlobals.find_server ip port in
     DonkeyGlobals.servers_ini_changed := true;
     DonkeyGlobals.remove_server ip port
   with _ -> ()
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyGlobals.ml ./src/networks/donkey/donkeyGlobals.ml
--- ./src/networks/donkey/donkeyGlobals.ml	2005-11-19 16:37:40.000000000 +0100
+++ ./src/networks/donkey/donkeyGlobals.ml	2005-12-13 13:49:47.000000000 +0100
@@ -320,7 +320,7 @@
   with _ ->
       if !verbose_share then
         lprintf_nl () "New file with md4: %s" (Md4.to_string md4);
-      let file_exists = Unix32.file_exists file_diskname in
+      let _ = Unix32.file_exists file_diskname in
 
       let t =
         if
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyInteractive.ml ./src/networks/donkey/donkeyInteractive.ml
--- ./src/networks/donkey/donkeyInteractive.ml	2005-12-06 20:34:05.000000000 +0100
+++ ./src/networks/donkey/donkeyInteractive.ml	2005-12-13 13:49:47.000000000 +0100
@@ -139,7 +139,7 @@
         let file = Zip.find_entry ic "server.met" in
           Zip.close_in ic;
     lprintf_nl () "server.met found in %s" url;
-    let s = Misc.archive_extract filename "zip" in
+    let _ = Misc.archive_extract filename "zip" in
       file.Zip.filename
         with e ->
     Zip.close_in ic;
@@ -170,7 +170,6 @@
     | _ -> filename
 
 let download_server_met url =
-  let nservers = List.length (Hashtbl2.to_list servers_by_key) in
   let module H = Http_client in
     let r = {
       H.basic_request with
@@ -324,7 +323,7 @@
   else
     begin
       try
-        let file = find_file md4 in
+        let _ = find_file md4 in
 (* jave TODO: if a user currently not downloading this file is requesting the download add this user
    to the list of users currently downloading this file *)
 	  forceable_download := [];
@@ -404,7 +403,7 @@
                     size := v
                 | _ -> ()
             ) f.P.tags;
-            let file = query_download !filenames !size f.P.md4 None
+            let _ = query_download !filenames !size f.P.md4 None
               (Some filename) (Some (List.rev f.P.absents)) true;
             in
             ()
@@ -579,14 +578,13 @@
         let ip = Ip.from_name ip in
         let port = int_of_string port in
 
-        let s = force_add_server ip port in
+        let _ = force_add_server ip port in
         Printf.bprintf buf "New server %s:%d\n"
           (Ip.to_string ip) port;
         ""
     ), "<ip> [<port>] :\t\t\tadd a server";
 
     "afr", Arg_multiple (fun args o ->
-        let buf = o.conn_buf in
         let ip, port =
           match args with
             [ip ; port] -> ip, port
@@ -601,15 +599,14 @@
     ),  "<ip> [<port>] :\t\t\tadd a friend";
 
     "vu", Arg_none (fun o ->
-        let buf = o.conn_buf in
         Printf.sprintf
           "Upload credits : %d minutes\nUpload disabled for %d minutes"
           !CommonUploads.upload_credit !CommonUploads.has_upload;
 
     ), ":\t\t\t\t\tview upload credits";
 
+(*
     "comments", Arg_one (fun filename o ->
-        let buf = o.conn_buf in
 (* TODO        DonkeyIndexer.load_comments filename;
         DonkeyIndexer.save_comments (); *)
         "comments loaded and saved"
@@ -621,9 +618,9 @@
 (* TODO        DonkeyIndexer.add_comment md4 comment; *)
         "Comment added"
     ), "<md4> \"<comment>\" :\t\tadd comment on a md4";
+*)
 
     "import", Arg_one (fun dirname o ->
-        let buf = o.conn_buf in
         try
           import_config dirname;
           "config loaded"
@@ -633,7 +630,6 @@
     ), "<dirname> :\t\t\timport the config from dirname";
 
     "import_temp", Arg_one (fun dirname o ->
-        let buf = o.conn_buf in
         try
           import_temp dirname;
           "temp files loaded"
@@ -642,14 +638,14 @@
               Printexc2.to_string e)
     ), "<temp_dir> :\t\t\timport the old edonkey temp directory";
 
+(*
     "load_old_history", Arg_none (fun o ->
-        let buf = o.conn_buf in
 (* TODO        DonkeyIndexer.load_old_history (); *)
         "Old history loaded"
     ), ":\t\t\tload history.dat file";
+*)
 
     "servers", Arg_one (fun filename o ->
-        let buf = o.conn_buf in
   if !!update_server_list_server_met then
     begin
       let nservers = List.length (Hashtbl2.to_list servers_by_key) in
@@ -897,14 +893,12 @@
     ), ":\t\t\t\t\textend the last search";
 
     "clh", Arg_none (fun o ->
-        let buf = o.conn_buf in
 (* TODO RESULT        DonkeyIndexer.clear (); *)
         "local history cleared"
     ), ":\t\t\t\t\tclear local history";
 
 (* TODO RESULT *)
     "dd", Arg_two(fun size md4 o ->
-        let buf = o.conn_buf in
         let file = query_download [] (Int64.of_string size)
           (Md4.of_string md4) None None None false in
         CommonInteractive.start_download file;
@@ -1344,8 +1338,6 @@
       List.iter (fun (s,c) ->
         let ac = as_client c in
         try
-          let i = client_info ac in
-
           Printf.bprintf buf "\\<tr onMouseOver=\\\"mOvr(this);\\\" onMouseOut=\\\"mOut(this);\\\" class=\\\"dl-%d\\\"\\>"
             (html_mods_cntr());
 
@@ -1476,7 +1468,7 @@
             with _ -> *)
             []
         in
-        let file =
+        let _ =
           query_download names size md4 None (Some file_diskname) None true
         in
         recover_md4s md4
@@ -1630,7 +1622,6 @@
                 let qfiles = c.client_file_queue in
                 let (qfile, qchunks,_) =  List.hd qfiles in
                 if (qfile == (as_file_impl file).impl_file_val) then begin
-                    let i = (client_info (as_client c)) in
 
                     Printf.bprintf buf " \\<tr onMouseOver=\\\"mOvr(this);\\\" onMouseOut=\\\"mOut(this);\\\"
       class=\\\"%s\\\"\\> \\<td title=\\\"Add as friend\\\" class=\\\"srb ar\\\"
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyMain.ml ./src/networks/donkey/donkeyMain.ml
--- ./src/networks/donkey/donkeyMain.ml	2005-11-05 17:23:40.000000000 +0100
+++ ./src/networks/donkey/donkeyMain.ml	2005-12-13 13:49:47.000000000 +0100
@@ -227,7 +227,6 @@
                 (Printexc2.to_string e) (file_disk_name file); 
       ) files_by_md4;
       
-      let list = ref [] in
 (* Normally, we should check that downloaded files are still there.  *)    
       let list = ref [] in
       List.iter (fun file ->
@@ -285,8 +284,6 @@
         | _ -> failwith "Bad socket address"
       end;
       
-      let port = !!donkey_port in
-      
       reset_tags ();
       
       Options.option_hook global_login reset_tags;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyOneFile.ml ./src/networks/donkey/donkeyOneFile.ml
--- ./src/networks/donkey/donkeyOneFile.ml	2005-11-12 12:20:21.000000000 +0100
+++ ./src/networks/donkey/donkeyOneFile.ml	2005-12-13 13:49:47.000000000 +0100
@@ -327,7 +327,7 @@
   | Some (file,up) ->
       
       try
-        let b = Int64Swarmer.current_block up in
+        let _ = Int64Swarmer.current_block up in
         let ranges = Int64Swarmer.current_ranges up in
         let before_find_range = List.length ranges in
 
@@ -366,7 +366,7 @@
           try
             let swarmer = Int64Swarmer.uploader_swarmer up in       
             (try Int64Swarmer.verify_one_chunk swarmer with _ -> ());
-            let b = Int64Swarmer.find_block up in
+            let _ = Int64Swarmer.find_block up in
             get_from_client c
             
           with Not_found ->
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyOvernet.ml ./src/networks/donkey/donkeyOvernet.ml
--- ./src/networks/donkey/donkeyOvernet.ml	2005-11-09 17:41:57.000000000 +0100
+++ ./src/networks/donkey/donkeyOvernet.ml	2005-12-13 14:05:43.000000000 +0100
@@ -787,7 +787,6 @@
 
             if Fifo.length prebuckets.(bucket) = max_peers_per_prebucket then
 	    begin
-              let l = last_time () - 1800 in
               let pp = Fifo.take prebuckets.(bucket) in
               Fifo.put prebuckets.(bucket)
 (* If the head of the bucket is not dead we should keep it *)
@@ -997,7 +996,7 @@
             let sender = new_peer { p with peer_port = other_port ; peer_ip = other_ip } in
             new_peer_message sender
         | p :: tail ->
-            let p = new_peer p in
+            let _ = new_peer p in
             iter tail
       in
       iter ps;
@@ -1256,8 +1255,7 @@
 
 let recover_file file =
   if file_state file = FileDownloading then
-    let search = create_search (FileSearch file) file.file_md4 in
-    ()
+    ignore (create_search (FileSearch file) file.file_md4)
 
 let check_current_downloads () =
   List.iter recover_file !DonkeyGlobals.current_files
@@ -1448,13 +1446,13 @@
 (* every 15min for light operations *)
       add_session_timer enabler 900. (fun _ ->
           if !!enable_overnet then begin
-              let s = create_search FillBuckets !!overnet_md4 in
+              let _ = create_search FillBuckets !!overnet_md4 in
               check_current_downloads ();
             end
       );
 
       begin
-        let s = create_search FillBuckets !!overnet_md4 in
+        let _ = create_search FillBuckets !!overnet_md4 in
         check_current_downloads ();
       end;
       
@@ -1571,7 +1569,6 @@
     ), ("<ip> <port> :\t\t\tadd an " ^ command_prefix_to_net ^ " peer");
 
     "link", Arg_multiple (fun args o ->
-        let buf = o.conn_buf in
         let url = String2.unsplit args ' ' in
         if parse_overnet_url url then
           "download started"
@@ -1598,7 +1595,7 @@
     ), (":\t\t\t\t" ^ command_prefix_to_net ^ " Stats commands");
 
     "stats", Arg_none (fun o ->
-        let buf = o.conn_buf and sum = ref 0 in
+        let buf = o.conn_buf in
         if o.conn_output = HTML then
           begin
             Printf.bprintf buf "\\<div class=results\\>";
@@ -1689,7 +1686,6 @@
     ), "<urls> :\t\t\t\tdownload .ocl URLS (no arg load default)";
 
     "load", Arg_one (fun filename o ->
-        let buf = o.conn_buf in
         try
           let n = load_contact_dat filename in
           Printf.sprintf "%d overnet peers loaded" n;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyPandora.ml ./src/networks/donkey/donkeyPandora.ml
--- ./src/networks/donkey/donkeyPandora.ml	2005-11-19 18:19:45.000000000 +0100
+++ ./src/networks/donkey/donkeyPandora.ml	2005-12-13 13:49:47.000000000 +0100
@@ -200,7 +200,6 @@
       
       
       let b = Buffer.create 100 in
-      let magic = DonkeyProtoClient.write emule b t in
       let ss = Buffer.contents b in
       if ss <> s then begin
           if opcode = 212 then begin
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyProtoClient.ml ./src/networks/donkey/donkeyProtoClient.ml
--- ./src/networks/donkey/donkeyProtoClient.ml	2005-12-05 19:37:34.000000000 +0100
+++ ./src/networks/donkey/donkeyProtoClient.ml	2005-12-13 13:49:47.000000000 +0100
@@ -655,7 +655,6 @@
       let len = get_int16 s 1 in
       let md4 = get_md4 s 3 in
       let list = ref [] in
-      let pos = 19 in
       for i = 0 to len - 1 do
         list := (get_ip s (19 + 10 * i), get_port s (23 + 10 * i),
           get_ip  s (25 + 10 * i)) :: !list;
@@ -1143,7 +1142,6 @@
 
 (*        lprintf "MULTI EMULE VERSION %d"
           (extendedrequest emule); print_newline (); *)
-        let pos = 17 in
         let rec iter pos =
           if pos < len then
             let opcode = get_uint8 s pos in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyProtoKademlia.ml ./src/networks/donkey/donkeyProtoKademlia.ml
--- ./src/networks/donkey/donkeyProtoKademlia.ml	2005-10-31 19:07:11.000000000 +0100
+++ ./src/networks/donkey/donkeyProtoKademlia.ml	2005-12-13 13:49:47.000000000 +0100
@@ -226,7 +226,6 @@
       let ip = get_ip s (pos+16) in
       let udp_port = get_int16 s (pos + 20) in
       let tcp_port = get_int16 s (pos + 22) in
-      let kind = get_uint8 s (pos + 24) in
       {
         peer_md4 = md4;
         peer_ip = ip;
@@ -283,7 +282,6 @@
           OvernetConnect p
 
       | 0x08 ->
-          let n = get_int16 s 0 in
           let peers, pos = get_list16 get_peer s 0 in
           OvernetConnectReply peers
 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyProtoOvernet.ml ./src/networks/donkey/donkeyProtoOvernet.ml
--- ./src/networks/donkey/donkeyProtoOvernet.ml	2005-10-31 19:07:11.000000000 +0100
+++ ./src/networks/donkey/donkeyProtoOvernet.ml	2005-12-13 13:49:47.000000000 +0100
@@ -51,7 +51,6 @@
       let md4 = get_md4 s pos in
       let ip = get_ip s (pos+16) in
       let port = get_int16 s (pos+20) in
-      let kind = get_uint8 s (pos+22) in
       {
         peer_md4 = md4;
         peer_ip = ip;
@@ -184,7 +183,6 @@
       let peer_ip = ref ip in
       let peer_udpport = ref port in
       let peer_tcpport = ref 0 in
-      let peer_kind = ref 0 in
       List.iter (fun tag ->
           match tag.tag_name with
             Field_UNKNOWN "loc" ->
@@ -238,7 +236,6 @@
             let md4 = get_md4 s 0 in
             let ip = get_ip s 16 in
             let port = get_int16 s 20 in
-            let kind = get_uint8 s 22 in
             OvernetConnect {
               peer_md4 = md4;
               peer_ip = ip;
@@ -256,7 +253,6 @@
             let md4 = get_md4 s 0 in
             let ip = get_ip s 16 in
             let port = get_int16 s 20 in
-            let kind = get_uint8 s 22 in
             OvernetPublicize {
               peer_md4 = md4;
               peer_ip = ip;
@@ -431,7 +427,6 @@
             lprintf_nl () "Sending UDP to %s:%d (opcode 0x%02X len %d) type %s"
               (Ip.to_string ip) port (get_uint8 s 1) (String.length s) (message_to_string msg);
           end;
-        let len = String.length s in
         UdpSocket.write sock ping s ip port
       with e ->
           lprintf_nl () "Exception %s in udp_send" (Printexc2.to_string e)
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeyShare.ml ./src/networks/donkey/donkeyShare.ml
--- ./src/networks/donkey/donkeyShare.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/donkey/donkeyShare.ml	2005-12-13 13:49:47.000000000 +0100
@@ -170,7 +170,6 @@
   if !new_shared then
     begin
       new_shared := false;
-      let socks = ref [] in
       if !new_shared_files <> [] then
         begin
           List.iter (fun s ->
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/donkey/donkeySupernode.ml ./src/networks/donkey/donkeySupernode.ml
--- ./src/networks/donkey/donkeySupernode.ml	2005-10-06 16:03:05.000000000 +0200
+++ ./src/networks/donkey/donkeySupernode.ml	2005-12-13 13:49:47.000000000 +0100
@@ -105,7 +105,6 @@
       begin
         try
     node.node_files <- t;
-          let list = ref [] in
           List.iter (fun f ->
               match result_of_file f.f_md4 f.f_tags with
                 None -> ()
@@ -130,7 +129,7 @@
       ()
 
 let supernode_browse_client node =
-  let token =
+  let _ =
     add_pending_connection connection_manager (fun token ->
         try
           let sock = TcpBufferedSocket.connect token "supernode browse client"
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fasttrack/fasttrackGlobals.ml ./src/networks/fasttrack/fasttrackGlobals.ml
--- ./src/networks/fasttrack/fasttrackGlobals.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/fasttrack/fasttrackGlobals.ml	2005-12-13 13:49:47.000000000 +0100
@@ -259,8 +259,6 @@
       file_size // (max 5L (file_size // (megabytes 5)))
     )
   in
-  let keywords = CommonUploads.words_of_filename file_name in
-  let words = String2.unsplit keywords ' ' in
   let uid = Uid.create (Md5Ext file_hash) in
   let rec file = {
       file_file = file_impl;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fasttrack/fasttrackHandler.ml ./src/networks/fasttrack/fasttrackHandler.ml
--- ./src/networks/fasttrack/fasttrackHandler.ml	2005-08-07 14:57:22.000000000 +0200
+++ ./src/networks/fasttrack/fasttrackHandler.ml	2005-12-13 14:06:57.000000000 +0100
@@ -126,8 +126,7 @@
 
         List.iter (fun (ip,port,seen,slots) ->
             try
-              let (h : host) = H.new_host (Ip.addr_of_ip ip) port Ultrapeer in
-              ()
+              ignore (H.new_host (Ip.addr_of_ip ip) port Ultrapeer)
             with Not_found -> ()
         ) list;
 
@@ -157,8 +156,7 @@
             try
               let ip = n.M.neighbour_ip in
               let port = n.M.neighbour_port in
-              let (h : host) = H.new_host (Ip.addr_of_ip ip) port Ultrapeer in
-              ()
+                ignore (H.new_host (Ip.addr_of_ip ip) port Ultrapeer)
             with Not_found -> ()
         ) list;
 
@@ -195,7 +193,6 @@
                       result_name
                       meta.M.meta_size
                       meta.M.meta_tags [meta.M.meta_hash] [] in
-                  let r = IndexedResults.get_result rs in
                   add_source rs user;
                   CommonInteractive.search_add_result false sss rs
 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fasttrack/fasttrackPandora.ml ./src/networks/fasttrack/fasttrackPandora.ml
--- ./src/networks/fasttrack/fasttrackPandora.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/fasttrack/fasttrackPandora.ml	2005-12-13 13:49:47.000000000 +0100
@@ -667,8 +667,6 @@
   let rec iter pos =
     if pos < len then
       if s.[pos] = '\000' then begin
-          let netname = String.sub s start_pos (pos-start_pos) in
-(*          lprintf "netname: [%s]\n" (String.escaped netname);*)
           c.c_pos <- pos + 1;
           c.c_parser <- parse_packets;
           parse_packets c
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fasttrack/fasttrackProtocol.ml ./src/networks/fasttrack/fasttrackProtocol.ml
--- ./src/networks/fasttrack/fasttrackProtocol.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/fasttrack/fasttrackProtocol.ml	2005-12-13 13:49:47.000000000 +0100
@@ -70,8 +70,6 @@
     UdpSocket.READ_DONE ->
       UdpSocket.read_packets sock (fun p ->
           try
-            let pbuf = p.UdpSocket.udp_content in
-            let len = String.length pbuf in
             f p
           with e ->
               lprintf "Error %s in udp_handler\n"
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fasttrack/fasttrackProto.ml ./src/networks/fasttrack/fasttrackProto.ml
--- ./src/networks/fasttrack/fasttrackProto.ml	2005-12-02 13:02:36.000000000 +0100
+++ ./src/networks/fasttrack/fasttrackProto.ml	2005-12-13 13:49:47.000000000 +0100
@@ -914,7 +914,7 @@
             let tag =
               try
                 List2.assoc_inv tag name_of_tag
-              with Not_found as e ->
+              with Not_found ->
                   lprintf "WARNING Unknown tag %d\n" tag;
                   Field_UNKNOWN (string_of_int tag)
             in
@@ -990,7 +990,6 @@
             let my_port = get_int16 m 4 in
 
             let bandwidth = get_int8 m 6 in
-            let next_byte = get_int8 m 7 in
 
             let client_name = String.sub m 8 (String.length m - 8) in
 
@@ -1174,7 +1173,6 @@
             AskUDPConnectionReq (LittleEndian.get_ip m 0, get_int16 m 4)
 
         | 0x1d ->
-            let netname = m in
             NetworkNameReq m
 
         | 0x1e -> Unknown_1e (get_int m 0)
@@ -1918,7 +1916,6 @@
   let add_words w =
     keywords := (String2.split_simplify w ' ') @ !keywords
   in
-  let audio = ref false in
   let tags = ref [] in
   let rec iter q =
     match q with
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fasttrack/fasttrackServers.ml ./src/networks/fasttrack/fasttrackServers.ml
--- ./src/networks/fasttrack/fasttrackServers.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/fasttrack/fasttrackServers.ml	2005-12-13 13:49:47.000000000 +0100
@@ -399,7 +399,7 @@
 (*        lprintf "not in ultrapeers_waiting_queue\n";   *)
         if !!bootstrap_from_imesh then
 	  let imesh_ip = Ip.addr_of_string "fm2.imesh.com" in
-          let (h : host) =
+          let (_ : host) =
 	    if !verbose then lprintf_nl "FT: Bootstrapping from Imesh %s" (Ip.string_of_addr imesh_ip);
             H.new_host (Ip.addr_of_string "fm2.imesh.com") 1214 IndexServer in
           find_ultrapeer peers_waiting_queue
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fileTP/fileTPClients.ml ./src/networks/fileTP/fileTPClients.ml
--- ./src/networks/fileTP/fileTPClients.ml	2005-12-06 21:26:40.000000000 +0100
+++ ./src/networks/fileTP/fileTPClients.ml	2005-12-13 13:49:47.000000000 +0100
@@ -70,7 +70,6 @@
           close sock r;
           c.client_sock <- NoConnection;
           List.iter (fun d ->
-              let file = d.download_file in
               match d.download_uploader with
                 None -> ()
               | Some up ->
